class SameSiteUaChecker
  class Version
    # integers
    attr_accessor :major, :minor, :build

    def initialize
      @major = 0
      @minor = 0
      @build = 0
    end

    def at_least?(major, minor = nil, build = nil)
      return false if self.major < major

      return false if !minor.nil? && self.minor < minor

      return false if !build.nil? && self.build < build

      true
    end

    def major_between_inc?(from, to)
      major >= from && major <= to
    end
  end
end
